Skip to main content

Autonomous System Confederations for BGP
draft-ietf-idr-rfc3065bis-06

Revision differences

Document history

Date Rev. By Action
2020-01-21
06 (System) Received changes through RFC Editor sync (added Verified Errata tag)
2018-12-20
06 (System)
Received changes through RFC Editor sync (changed abstract to 'The Border Gateway Protocol (BGP) is an inter-autonomous system routing protocol designed for Transmission Control Protocol/Internet …
Received changes through RFC Editor sync (changed abstract to 'The Border Gateway Protocol (BGP) is an inter-autonomous system routing protocol designed for Transmission Control Protocol/Internet Protocol (TCP/IP) networks. BGP requires that all BGP speakers within a single autonomous system (AS) must be fully meshed. This represents a serious scaling problem that has been well documented in a number of proposals.

This document describes an extension to BGP that may be used to create a confederation of autonomous systems that is represented as a single autonomous system to BGP peers external to the confederation, thereby removing the "full mesh" requirement. The intention of this extension is to aid in policy administration and reduce the management complexity of maintaining a large autonomous system.

This document obsoletes RFC 3065. [STANDARDS-TRACK]')
2017-05-16
06 (System) Changed document authors from "John Scudder, Danny McPherson" to "John Scudder, Danny McPherson, Paul Traina"
2015-10-14
06 (System) Notify list changed from idr-chairs@ietf.org to (None)
2012-08-22
06 (System) post-migration administrative database adjustment to the No Objection position for Magnus Westerlund
2012-08-22
06 (System) post-migration administrative database adjustment to the No Objection position for Lars Eggert
2007-08-10
06 Amy Vezza State Changes to RFC Published from RFC Ed Queue by Amy Vezza
2007-08-10
06 Amy Vezza [Note]: 'RFC 5065' added by Amy Vezza
2007-08-07
06 (System) RFC published
2007-04-19
06 Amy Vezza State Changes to RFC Ed Queue from Approved-announcement sent by Amy Vezza
2007-02-28
06 (System) IANA Action state changed to No IC from In Progress
2007-02-28
06 (System) IANA Action state changed to In Progress
2007-02-27
06 Amy Vezza IESG state changed to Approved-announcement sent
2007-02-27
06 Amy Vezza IESG has approved the document
2007-02-27
06 Amy Vezza Closed "Approve" ballot
2007-02-16
06 Bill Fenner State Changes to Approved-announcement to be sent from IESG Evaluation::AD Followup by Bill Fenner
2007-02-16
06 Magnus Westerlund [Ballot Position Update] Position for Magnus Westerlund has been changed to No Objection from Discuss by Magnus Westerlund
2007-02-14
06 Bill Fenner Authors agreed to 2796->4456 update, so updated RFC Editor Note.
2007-02-13
06 Bill Fenner
1863 is an obsolete info reference, but it's a reference for historical reasons, so that's fine.
2796 has been obsoleted by 4456, checking with authors …
1863 is an obsolete info reference, but it's a reference for historical reasons, so that's fine.
2796 has been obsoleted by 4456, checking with authors whether to just blindly do the update.
2007-02-13
06 Bill Fenner Wrote RFC Editor note, sent email to Magnus.
2007-02-10
06 Bill Fenner To do: write RFC Editor note for Magnus's concern, and double-check the references mentioned in Lars' COMMENT.
2007-02-09
06 Lars Eggert [Ballot Position Update] Position for Lars Eggert has been changed to No Objection from Discuss by Lars Eggert
2007-02-09
06 Bill Fenner
To: lars.eggert@nokia.com
Subject: Downref DISCUSS on 3065bis
Cc: iesg@ietf.org
Fcc: +iesg

I'm not sure what I was thinking on the call (other than
that I …
To: lars.eggert@nokia.com
Subject: Downref DISCUSS on 3065bis
Cc: iesg@ietf.org
Fcc: +iesg

I'm not sure what I was thinking on the call (other than
that I was on the road), but RFC 4271 is not PS.

4271 A Border Gateway Protocol 4 (BGP-4). Y. Rekhter, Ed., T. Li, Ed.,
    S. Hares, Ed.. January 2006. (Format: TXT=222702 bytes) (Obsoletes
    RFC1771) (Status: DRAFT STANDARD)

Since it's not a downref, would you be willing to clear your
DISCUSS?

Thanks,
  Bill
2007-02-09
06 (System) Removed from agenda for telechat - 2007-02-08
2007-02-08
06 Amy Vezza State Changes to IESG Evaluation::AD Followup from IESG Evaluation by Amy Vezza
2007-02-08
06 Bill Fenner
Downref issue: BGP is not at Draft Standard.  When we first started the plan to advance 3065 to DS, BGP was aiming at DS too. …
Downref issue: BGP is not at Draft Standard.  When we first started the plan to advance 3065 to DS, BGP was aiming at DS too.

Options:
1) Wait for Hartman/Klensin downref BCP (within weeks)
2) Advance BGP to DS in-place (requires implementation report; have to investigate what of the previous report is re-usable)
3) Publish this revision as PS.
2007-02-08
06 (System) [Ballot Position Update] New position, No Objection, has been recorded for Russ Housley by IESG Secretary
2007-02-08
06 (System) [Ballot Position Update] Position for Bill Fenner has been changed to Yes from error by IESG Secretary
2007-02-08
06 (System) [Ballot Position Update] New position, No Objection, has been recorded for Brian Carpenter by IESG Secretary
2007-02-08
06 Sam Hartman [Ballot Position Update] New position, No Objection, has been recorded by Sam Hartman
2007-02-08
06 Ross Callon [Ballot Position Update] New position, No Objection, has been recorded by Ross Callon
2007-02-08
06 Jari Arkko [Ballot Position Update] New position, No Objection, has been recorded by Jari Arkko
2007-02-08
06 Jon Peterson [Ballot Position Update] Position for Jon Peterson has been changed to No Objection from Discuss by Jon Peterson
2007-02-08
06 Jon Peterson [Ballot Position Update] New position, Discuss, has been recorded by Jon Peterson
2007-02-08
06 David Kessens [Ballot Position Update] New position, No Objection, has been recorded by David Kessens
2007-02-08
06 Cullen Jennings [Ballot Position Update] New position, No Objection, has been recorded by Cullen Jennings
2007-02-07
06 Mark Townsley [Ballot Position Update] New position, No Objection, has been recorded by Mark Townsley
2007-02-07
06 Dan Romascanu [Ballot Position Update] New position, No Objection, has been recorded by Dan Romascanu
2007-02-06
06 Ted Hardie [Ballot Position Update] New position, No Objection, has been recorded by Ted Hardie
2007-02-05
06 Lars Eggert [Ballot comment]
- Obsolete Reference: RFC 1965
  - Obsolete Reference: RFC 1863
  - Obsolete Reference: RFC 2796
2007-02-05
06 Lars Eggert
[Ballot discuss]
> [BGP-4] Rekhter, Y., Li, T., and Hares, S., "A Border Gateway
>    Protocol 4", RFC 4271.

  Is a DOWNREF …
[Ballot discuss]
> [BGP-4] Rekhter, Y., Li, T., and Hares, S., "A Border Gateway
>    Protocol 4", RFC 4271.

  Is a DOWNREF (RFC4271 is PS, this is going for DS.)
2007-02-05
06 Lars Eggert [Ballot Position Update] New position, Discuss, has been recorded by Lars Eggert
2007-02-02
06 Bill Fenner State Changes to IESG Evaluation from IESG Evaluation::AD Followup by Bill Fenner
2007-02-02
06 Bill Fenner Note field has been cleared by Bill Fenner
2007-02-02
06 (System) Sub state has been changed to AD Follow up from New Id Needed
2007-02-02
06 (System) New version available: draft-ietf-idr-rfc3065bis-06.txt
2007-02-02
06 Magnus Westerlund [Ballot discuss]
The document does not specify in the header, abstract and introduction that it obsoletes RFC 3065.
2007-02-02
06 Magnus Westerlund [Ballot discuss]
The document does not specify in the header, abstract or introduction that it obsoletes RFc 3065.
2007-02-02
06 Magnus Westerlund [Ballot Position Update] New position, Discuss, has been recorded by Magnus Westerlund
2007-02-01
06 Bill Fenner Placed on agenda for telechat - 2007-02-08 by Bill Fenner
2007-02-01
06 Bill Fenner State Changes to IESG Evaluation::Revised ID Needed from Waiting for Writeup::Revised ID Needed by Bill Fenner
2007-02-01
06 Bill Fenner
[Note]: 'Note that -06 has been submitted to address WGLC comments.  If it has not yet appeared in the draft directories, a copy is at …
[Note]: 'Note that -06 has been submitted to address WGLC comments.  If it has not yet appeared in the draft directories, a copy is at http://rtg.ietf.org/~fenner/tmp/draft-ietf-idr-rfc3065bis-06.txt .' added by Bill Fenner
2007-02-01
06 Bill Fenner [Ballot Position Update] New position, Yes, has been recorded for Bill Fenner
2007-02-01
06 Bill Fenner Ballot has been issued by Bill Fenner
2007-02-01
06 Bill Fenner Created "Approve" ballot
2006-11-08
06 (System) Request for Early review by SECDIR is assigned to Jeffrey Schiller
2006-11-08
06 (System) Request for Early review by SECDIR is assigned to Jeffrey Schiller
2006-09-08
06 Yoshiko Fong IANA Last Call Comments:

NO IANA Considerations section.
We understand this document to have NO IANA Actions.
2006-08-25
06 Bill Fenner
Sorry for the confusion, turns out it was possible to remove from agenda via the "Documents on some Agenda" screen but not the id-detal screen.  …
Sorry for the confusion, turns out it was possible to remove from agenda via the "Documents on some Agenda" screen but not the id-detal screen.  I've reported the bug.
2006-08-25
06 Bill Fenner Removed from agenda for telechat - 2006-10-12 by Bill Fenner
2006-08-25
06 Bill Fenner
Changing the agenda date to a future date, since it's not currently possible to remove the document from the agenda.  This is just so that …
Changing the agenda date to a future date, since it's not currently possible to remove the document from the agenda.  This is just so that it doesn't appear on next week's agenda, as we're all agreed that there's more work to be done.
2006-08-25
06 Bill Fenner Telechat date was changed to 2006-10-12 from 2006-08-31 by Bill Fenner
2006-08-24
06 Bill Fenner State Changes to Waiting for Writeup::Revised ID Needed from Waiting for Writeup by Bill Fenner
2006-08-24
06 Bill Fenner
Removing from IESG agenda to allow WG to address IETF Last Call comments.

From: Danny McPherson
To: Bill Fenner
Cc: "John G. Scudder" , iesg@ietf.org …
Removing from IESG agenda to allow WG to address IETF Last Call comments.

From: Danny McPherson
To: Bill Fenner
Cc: "John G. Scudder" , iesg@ietf.org, idr@ietf.org
Date: Aug 13, 2006 12:18 PM
Subject: Re: [Idr] Last Call: 'Autonomous System Confederations for BGP' to Draft Standard (draft-ietf-idr-rfc3065bis)

...
I'll synch with John and Jeff to work up some next text that will
hopefully accommodate this
...
2006-08-23
06 (System) State has been changed to Waiting for Writeup from In Last Call by system
2006-08-09
06 Amy Vezza Last call sent
2006-08-09
06 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2006-08-09
06 Bill Fenner Placed on agenda for telechat - 2006-08-31 by Bill Fenner
2006-08-09
06 Bill Fenner State Changes to Last Call Requested from Publication Requested by Bill Fenner
2006-08-09
06 Bill Fenner Last Call was requested by Bill Fenner
2006-08-09
06 (System) Ballot writeup text was added
2006-08-09
06 (System) Last call text was added
2006-08-09
06 (System) Ballot approval text was added
2006-07-21
06 Bill Fenner State Change Notice email list have been change to idr-chairs@tools.ietf.org from skh@nexthop.com, yakov@juniper.net
2005-11-22
06 Bill Fenner
Subject: draft-ietf-idr-rfc3065bis-05.txt to Draft Standard
Date: Tue, 22 Nov 2005 06:31:29 -0800
From: Yakov Rekhter
To: Bill Fenner , zinin@psg.com
Cc: skh@nexthop.com, idr@ietf.org

Alex …
Subject: draft-ietf-idr-rfc3065bis-05.txt to Draft Standard
Date: Tue, 22 Nov 2005 06:31:29 -0800
From: Yakov Rekhter
To: Bill Fenner , zinin@psg.com
Cc: skh@nexthop.com, idr@ietf.org

Alex and Bill,

The IDR WG would like to ask IESG to advance
draft-ietf-idr-rfc3065bis-05.txt to Draft Standard. The implementation
report is draft-mcpherson-idr-rfc3065bis-impl-00.txt.

Sue & Yakov.
2005-11-22
06 Bill Fenner Draft Added by Bill Fenner in state Publication Requested
2005-10-04
05 (System) New version available: draft-ietf-idr-rfc3065bis-05.txt
2005-04-11
04 (System) New version available: draft-ietf-idr-rfc3065bis-04.txt
2004-05-19
02 (System) New version available: draft-ietf-idr-rfc3065bis-02.txt
2003-10-07
01 (System) New version available: draft-ietf-idr-rfc3065bis-01.txt
2003-08-27
00 (System) New version available: draft-ietf-idr-rfc3065bis-00.txt